{
  "schema_version": "1.4.0",
  "id": "GHSA-cxc9-2rq6-pr6h",
  "modified": "2023-03-01T18:30:57Z",
  "published": "2022-05-24T16:51:05Z",
  "aliases": [
    "CVE-2019-14250"
  ],
  "details": "An issue was discovered in GNU libiberty, as distributed in GNU Binutils 2.32. simple_object_elf_match in simple-object-elf.c does not check for a zero shstrndx value, leading to an integer overflow and resultant heap-based buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2019-14250"
    },
    {
      "type": "WEB",
      "url": "https://gcc.gnu.org/bugzilla/show_bug.cgi?id=90924"
    },
    {
      "type": "WEB",
      "url": "https://gcc.gnu.org/ml/gcc-patches/2019-07/msg01003.html"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/202007-39"
    },
    {
      "type": "WEB",
      "url": "https://security.netapp.com/advisory/ntap-20190822-0002"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4326-1"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4336-1"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2019-10/msg00056.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2019-10/msg00057.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2020-05/msg00058.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00078.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2020-11/msg00004.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/109354"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-787"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2019-07-24T04:15:00Z"
  }
}